./www/py-google-api-python-client, Python client library for Googles discovery based APIs

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.7.4, Package name: py27-google-api-python-client-1.7.4, Maintainer: pkgsrc-users

This is the Python client library for Google's discovery based
APIs.


Required to run:
[devel/py-setuptools] [lang/python27] [www/py-httplib2] [lang/py-six] [security/py-oauth2client] [textproc/py-uritemplate]

Required to build:
[devel/py-mock] [devel/py-unittest2] [pkgtools/cwrappers]

Master sites:

SHA1: 3233bba4b4af6d84606f489f7e62a36408e9546e
RMD160: 97fb0be2e23443f708f9b8918203573166fe70f1
Filesize: 138.475 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-16 14:40:10 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
py-google-api-python-client: update to 1.7.4.

  Bugfix release

  - Catch ServerNotFoundError to retry the request (#532)
   2018-06-17 10:50:59 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
py-google-api-python-client: update to 1.7.3.

v1.7.3
  Version 1.7.3

  Bugfix release

  - Make apiclient.sample_tools gracefully fail to import (#525).

v1.7.2
  Version 1.7.2

  Bugfix release

  - Remove unnecessary check in apiclient/__ini__.py (#522).
   2018-06-05 20:56:51 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
py-google-api-python-client: update to 1.7.1.

v1.7.1
  Version 1.7.1

  Bugfix release

  - Remove unnecessary check in setup.py (#518).

v1.7.0
  Version 1.7.0

  This release drops the hard requirement on oauth2client and installs
  google-auth by default instead. oauth2client is still supported but will
  need to be explicitly installed.

  - Drop oauth2client dependency (#499)
  - Include tests in source distribution (#514)
   2018-04-29 12:01:46 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
py-google-api-python-client: update to 1.6.7.

v1.6.7
  Version 1.6.7

  Bugfix release

  **Note**: The next release of this library will no longer directly depend on
    oauth2client. If you need to use oauth2client, you'll need to explicitly
    install it.

  - Make body optional for requests with no parameters. (#446)
  - Fix retying on socket.timeout. (#495)
  - Match travis matrix with tox testenv. (#498)
  - Remove oauth2client._helpers dependency. (#493)
  - Remove unused keyring test dependency. (#496)
  - discovery.py: remove unused oauth2client import. (#492)
  - Update README to reference GCP API client libraries. (#490)
   2018-04-17 12:43:00 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
py-google-api-python-client: update to 1.6.6.

v1.6.6
  Version 1.6.6

  Bugfix release

  - Warn when constructing BatchHttpRequest using the legacy batch URI (#488)
  - Increase the default media chunksize to 100MB. (#482)
  - Remove unnecessary parsing of mime headers in HttpRequest.__init__ (#467)
   2018-01-21 12:54:02 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-google-api-python-client: updated to 1.6.5

Version 1.6.5

Bugfix release
- Proactively refresh credentials when applying and treat a missing
  access_token as invalid. Note: This change reveals surprising behavior
  between default credentials and batches. If you allow
  googleapiclient.discovery.build to use default credentials *and* specify
  different credentials by providing batch.execut() with an explicit http
  argument, your individual requests will use the default credentials and
  *not* the credentials specified to the batch http. To avoid this, tell
  build explicitly not to use default credentials by specifying
  build(..., http=httplib2.Http().
- Remove mutual exclusivity check for developerKey and credentials
- Handle unknown media length.
- Handle variant error format gracefully.
- Avoid testing against Django >= 2.0.0 on Python 2.
   2017-10-03 14:45:37 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
py-google-api-python-client: update to 1.6.4.

v1.6.4
  Version 1.6.4

  Bugfix release

  - Warn when google-auth credentials are used but google-auth-httplib2 isn't \ 
available. (#443)
   2017-09-04 16:45:25 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Updated py-google-api-python-client to 1.6.3.

v1.6.3
  Version 1.6.3

  Bugfix release

  - Add notification of maintenance mode to README. (#410)
  - Fix generation of methods with abnormal page token conventions. (#338)
  - Raise ValueError is credentials and developerKey are both specified. (#358)
  - Re-generate documentation. (#364, #373, #401)
  - Fix method signature documentation for multiline required parameters. (#374)
  - Fix ZeroDivisionError in MediaDownloadProgress.progress. (#377)
  - Fix dead link to WebTest in README. (#378)
  - Fix details missing in googleapiclient.errors.HttpError. (#412)
  - Don't treat httplib2.Credentials as oauth credentials. (#425)
  - Various fixes to the Django sample. (#413)